RESTinio

Public Member Functions | List of all members
restinio::http_field_parsers::impl::comment_producer_t Class Reference

A producer for comment. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::comment_producer_t:

## Public Member Functions
RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const

## Additional Inherited Members
Public Types inherited from restinio::easy_parser::impl::producer_tag< std::string >
using | result_type = std::string
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer for comment.

If a comment is found in the input stream it produces std::string with the value of that token.

Comment is defined that way:

    comment        = "(" *( ctext / quoted-pair / comment ) ")"
    ctext          = HTAB / SP / %x21-27 / %x2A-5B / %x5D-7E / obs-text
    quoted-pair    = "\" ( HTAB / SP / VCHAR / obs-text )

See: https://tools.ietf.org/html/rfc7230

Since
  v.0.6.4

Definition at line 762 of file basics.hpp.

## Member Function Documentation

## ◆ try_parse()

RESTINIO_NODISCARD expected_t< comment_producer_t::result_type, parse_error_t > restinio::http_field_parsers::impl::comment_producer_t::try_parse | ( | source_t & | from | ) | const
| inline

Definition at line 1127 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp